package com.shanghaichengdi.ghjgitem.enums.trans;


public enum WarningType {
  /**
   * 超载预警
   */
  OVER_LOAD("1", "超载预警"),
  /**
   * 船舶申报
   */
  REPORT("2", "船舶申报预警"),
  /**
   * AIS未开启
   */
  AISOPNE("3", "AIS未开启"),
  /**
   * 重点船舶
   */
  KEY_BOAT("4", "重点船舶预警"),
  /**
   * 超限船舶
   */
  OVER_BOAT("5", "超限船舶预警"),
  /**
   * 证书有效期
   */
  ISS_BOAT("6", "证书有效期预警"),
  /**
   * 超速船舶
   */
  SPEED_BOAT("7", "超速船舶预警"),
  /**
   * 未穿救生衣
   */
  NO_LIFE_JACKET("8", "未穿救生衣预警"),
  /**
   * 船型分析
   */
  SHIP_ANALYSIS("9", "船型分析预警"),
  /**
   * 自定义预警
   */
  SELEF_DEFINE_WARN("10", "自定义预警"),
  /**
   * 高危船舶
   */
  HEIGHTDENGEROUS_BOAT("11", "高危船舶"),
  /**
   * 未悬挂国旗预警
   */
  NO_FLAG("12", "未悬挂国旗预警"),
  /**
   * 货物未覆盖预警
   */
  NO_COVERAGE("13", "货物未覆盖预警");


  /**
   * 类型code
   */
  private String code;
  /**
   * 类型名称
   */
  private String name;


  WarningType(String state, String stateName) {
    this.code = state;
    this.name = stateName;

  }


  public String getCode() {
    return code;
  }

  public void setCode(String code) {
    this.code = code;
  }

  public String getstateName() {
    return name;
  }

  public void setstateName(String stateName) {
    this.name = stateName;
  }

}
